<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
	<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
	<th:block th:fragment="form">
		<h2 class="ui dividing header">
			<i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TEAMS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
			<span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW}} + ' ' + #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></span>
		</h2>
		<br />
		<form class="ui form" id="team-form" th:object="${team}" method="post">
			<input type="hidden" th:field="*{id}" />
			<div class="fields">
				<th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                             	 field = 'name', 
                                                             	 required = true, 
                                                             	 maxlength = 80, 
                                                             	 placeholder = 'Enter Team Name', 
                                                             	 errormessage = ${#fields.errors('name')},
                                                             	 columnsize = 'eight wide'
                                                               	 )" />
				<th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBAREA}}, 
                                                                     	 field = 'subArea', 
                                                                     	 options = ${subareas},
                                                                     	 optionfield = 'item.name',
                                                                     	 required = true,
                                                                     	 columnsize = 'eight wide',
                                                                         emptyoption = true
                                                                     	 )" />
			</div>
			<br />
			<th:block th:replace="common/fragments/form :: actionbutton( icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon1url = ''
                                                                      )" />
			<input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
		</form>
	</th:block>
</body>
</html>